%define upstream_name    Code-TidyAll
%define upstream_version 0.85
%global __requires_exclude php|perl\\(Mason::Tidy\\)|perl\\(Mason::Tidy::App\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    All-in-one tidier and validator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::pushd)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::Compare)
BuildRequires: perl(List::SomeUtils)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Path::Tiny) >= 0.98.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Specio) >= 0.400.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::Numeric)
BuildRequires: perl(Specio::Library::Path::Tiny) >= 0.40.0
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Text::Diff) >= 1.440.0
BuildRequires: perl(Text::Diff::Table)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Time::Duration::Parse)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib::relative)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
There are a lot of great code tidiers and validators out there. tidyall makes
them available from a single unified interface.

You can run tidyall on a single file or on an entire project hierarchy, and
configure which tidiers/validators are applied to which files. tidyall will
back up files beforehand, and for efficiency will only consider files that have
changed since they were last processed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tidyall
%{_mandir}/man1/tidyall.1*

%changelog
* Thu May 01 2025 tv <tv> 0.850.0-1.mga10
+ Revision: 2180277
- update to 0.85

* Tue Dec 12 2023 tv <tv> 0.840.0-1.mga10
+ Revision: 2017496
- update to 0.84

* Tue Nov 22 2022 tv <tv> 0.830.0-1.mga9
+ Revision: 1910038
- update to 0.83

* Mon Apr 18 2022 tv <tv> 0.820.0-1.mga9
+ Revision: 1851141
- update to 0.82

* Wed Mar 23 2022 umeabot <umeabot> 0.810.0-2.mga9
+ Revision: 1821133
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 0.810.0-1.mga9
+ Revision: 1788429
- update to 0.81

* Mon Nov 29 2021 tv <tv> 0.800.0-1.mga9
+ Revision: 1759809
- update to 0.80

* Wed Jul 01 2020 shlomif <shlomif> 0.780.0-2.mga8
+ Revision: 1600925
- update texts; exclude perl-File-Slurp

* Sun Apr 26 2020 tv <tv> 0.780.0-1.mga8
+ Revision: 1572206
- update to 0.78

* Tue Feb 18 2020 umeabot <umeabot> 0.750.0-2.mga8
+ Revision: 1541350
- Mageia 8 Mass Rebuild

* Wed Dec 25 2019 tv <tv> 0.750.0-1.mga8
+ Revision: 1469997
- update to 0.75

* Sat Jun 29 2019 shlomif <shlomif> 0.740.0-1.mga8
+ Revision: 1415444
- update to 0.74

* Mon Jan 21 2019 tv <tv> 0.730.0-1.mga7
+ Revision: 1358776
- update to 0.73

* Fri Dec 21 2018 tv <tv> 0.720.0-1.mga7
+ Revision: 1344133
- update to 0.72

* Wed Oct 17 2018 shlomif <shlomif> 0.710.0-1.mga7
+ Revision: 1321438
- update to 0.71

* Thu Sep 20 2018 umeabot <umeabot> 0.700.0-3.mga7
+ Revision: 1282279
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 shlomif <shlomif> 0.700.0-2.mga7
+ Revision: 1254748
- avoid requiring php.

* Mon Apr 23 2018 shlomif <shlomif> 0.700.0-1.mga7
+ Revision: 1221481
- update to 0.70

* Sun Dec 10 2017 shlomif <shlomif> 0.690.0-1.mga7
+ Revision: 1181976
- update to 0.69

* Mon Oct 02 2017 tv <tv> 0.680.0-2.mga7
+ Revision: 1163461
- rebuild with fixed rpm for missing autodeps

* Mon Oct 02 2017 guillomovitch <guillomovitch> 0.680.0-1.mga7
+ Revision: 1162503
- new version 0.68

* Mon Sep 25 2017 guillomovitch <guillomovitch> 0.670.0-1.mga7
+ Revision: 1158927
- new version 0.67

* Fri Jul 28 2017 shlomif <shlomif> 0.630.0-1.mga7
+ Revision: 1132066
- New version 0.63

* Sun May 08 2016 shlomif <shlomif> 0.470.0-1.mga6
+ Revision: 1010574
- update to 0.47

* Thu Apr 28 2016 shlomif <shlomif> 0.460.0-1.mga6
+ Revision: 1007439
- New version 0.46 (archive)
- New version 0.46

* Wed Feb 24 2016 shlomif <shlomif> 0.400.0-1.mga6
+ Revision: 978703
- update to 0.40

* Sat Jan 16 2016 shlomif <shlomif> 0.380.0-1.mga6
+ Revision: 923625
- New version 0.38

* Mon Sep 28 2015 sander85 <sander85> 0.300.0-1.mga6
+ Revision: 884419
- update to 0.30

* Sun Aug 23 2015 sander85 <sander85> 0.290.0-1.mga6
+ Revision: 868332
- update to 0.29

* Thu Aug 13 2015 sander85 <sander85> 0.280.0-1.mga6
+ Revision: 864296
- update to 0.28

* Sun Jul 05 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 851594
- update to 0.27

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 749791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 683958
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.200.0-1.mga5
+ Revision: 624179
- update to 0.20

* Thu Mar 13 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 602854
- update to 0.19

* Mon Oct 21 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 536993
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 486132
- update to 0.18

* Mon Jun 10 2013 jquelin <jquelin> 0.170.0-1.mga4
+ Revision: 441486
- update to 0.17

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 364533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 314866
- update to 0.16

* Mon Oct 15 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 306068
- update to 0.15

* Wed Oct 10 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 304462
- imported package perl-Code-TidyAll

